/*
----------------------------------------------------------------------

   Expert      :  cornflowerEA.mq4
   Version     :  v1.01
   Author      :  R. Boles
   Copyright   :  (c)2006 R. Boles - Melbourne, AUSTRALIA
   Date        :  28-Jun-2007
   Contact     :  boles.ron@gmail.com
      
   Notes       :  audio alert + arrow when price hits TARGET_MA
               :  
               :  this is NOT an indicator...place it in the experts folder...NOT in the indicators folder
               :  

----------------------------------------------------------------------
*/
extern int     TARGET_MA = 12;  
string         broker="", EANAME="cornflowerEA";

//+------------------------------------------------------------------+
int init()
{
   broker = AccountCompany();
   return(0);
}

//+------------------------------------------------------------------+
int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
int start()
{
   double ma72a = iMA(Symbol(),0,72,0,MODE_EMA,PRICE_CLOSE,0);
   double ma72b = iMA(Symbol(),0,72,0,MODE_EMA,PRICE_CLOSE,1);
   double ma72c = iMA(Symbol(),0,72,0,MODE_EMA,PRICE_CLOSE,2);
   double ma72d = iMA(Symbol(),0,72,0,MODE_EMA,PRICE_CLOSE,3);

   double ma0 = iMA(Symbol(),0,TARGET_MA,0,MODE_EMA,PRICE_CLOSE,0);
   // Comment("MA-",TARGET_MA," : ",ma0);

   if ( (ma72a > ma72b) && (ma72b > ma72c) && (ma72c > ma72d) )
      if ( iClose(Symbol(),PERIOD_M1,1) > ma0 )
         if ( iClose(Symbol(),PERIOD_M1,0) <= ma0 )
         {
            PlaySound("news.wav");
            Comment("Price touch TARGET_MA : ",TARGET_MA);
            if ( ObjectCreate("pbUPTREND",OBJ_ARROW,0,Time[0],ma72a-(5*Point)) )
            {
               ObjectSet("pbUPTREND",OBJPROP_ARROWCODE,SYMBOL_ARROWUP); 
               ObjectSet("pbUPTREND",OBJPROP_COLOR,Yellow); 
            }
            ObjectMove("pbUPTREND",0,Time[0],ma72a-(5*Point));
         }

   if ( (ma72a < ma72b) && (ma72b < ma72c) && (ma72c < ma72d) )
      if ( iClose(Symbol(),PERIOD_M1,1) < ma0 )
         if ( iClose(Symbol(),PERIOD_M1,0) >= ma0 )
         {
            PlaySound("news.wav");
            Comment("Price touch TARGET_MA : ",TARGET_MA);
            if ( ObjectCreate("pbDNTREND",OBJ_ARROW,0,Time[0],ma72a+(5*Point)) )
            {
               ObjectSet("pbDNTREND",OBJPROP_ARROWCODE,SYMBOL_ARROWDOWN); 
               ObjectSet("pbDNTREND",OBJPROP_COLOR,Aqua); 
            }
            ObjectMove("pbDNTREND",0,Time[0],ma72a+(5*Point));
         }

   return(0);
}
  
/*
//+------------------------------------------------------------------+
void  msg( string m )
{
   MessageBoxA(NULL ,m,"Trace",MB_OK);
}
*/